package cl.jtv;

/*
 * ComandoSPXInv.java
 *
 * Created on 28 de febrero de 2003, 02:04 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoSPXInv extends Comando {

    /** Creates new ComandoSPXInv */
    private Maquina proxima;
    
    public ComandoSPXInv(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);
        proxima = ((Maquina)artefacto).proxima;
    }

    public void doIt() {
        
        Maquina maquina = (Maquina)artefacto;
        maquina.proxima = proxima;
        proxima.previa = maquina;
    }
    
}
